## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToEzXmlConverter

### Document::ezcDocumentDocbookToEzXmlConverter

### Class ezcDocumentDocbookToEzXmlConverter

Converter for docbook to XEzXml with a PHP callback based mechanism, for fast and easy PHP based extensible transformations.

This converter does not support the full docbook standard, but only a subset commonly used in the document component. If you need to transform documents using the full docbook you might prefer to use the ezcDocumentDocbookToEzXmlXsltConverter with the default stylesheet from Welsh.

Source for this file: /Document/src/converters/element_visitor/docbook_ezxml.php

    ezcDocumentConverter
       |
       --ezcDocumentElementVisitorConverter
          |
          --ezcDocumentDocbookToEzXmlConverter

Version: | //autogen//

### Member Variables

protected int | `$footnoteNumber = 0` Autoincrementing number for footnotes.
protected array | `$footnotes = array()` Array for footnotes aggregated during the processing of the document. Will be rendered at the end of the HTML document.
protected DOMElement | `$head` Reference to the HTML header section

### Inherited Member Variables

From ezcDocumentElementVisitorConverter
protected | `ezcDocumentElementVisitorConverter::$defaultNamespace`
protected | `ezcDocumentElementVisitorConverter::$storage`
protected | `ezcDocumentElementVisitorConverter::$visitorElementHandler`
From ezcDocumentConverter
protected | `ezcDocumentConverter::$options`
protected | `ezcDocumentConverter::$properties`

### Method Summary

public void | `__construct( [ $options = null] )` Construct converter
public int | `appendFootnote( $node )` Append footnote
protected void | `appendFootnotes( $root )` Append footnotes
protected ezcDocumentDocument | `createDocument( $content )` Create document from structure
protected mixed | `initializeDocument( )` Initialize destination document
protected mixed | `visitText( $node , $root )` Visit text node.

### Inherited Methods

From ezcDocumentElementVisitorConverter
public ezcDocumentDocument | `ezcDocumentElementVisitorConverter::convert()` Convert documents between two formats
protected abstract ezcDocumentDocument | `ezcDocumentElementVisitorConverter::createDocument()` Create document from structure
protected abstract mixed | `ezcDocumentElementVisitorConverter::initializeDocument()` Initialize destination document
public void | `ezcDocumentElementVisitorConverter::setElementHandler()` Set custom element handler
public mixed | `ezcDocumentElementVisitorConverter::visitChildren()` Recursively visit children of a document node.
protected void | `ezcDocumentElementVisitorConverter::visitElement()` Visit DOMElement nodes.
public mixed | `ezcDocumentElementVisitorConverter::visitNode()` Visit a single document node
protected abstract mixed | `ezcDocumentElementVisitorConverter::visitText()` Visit text node.
From ezcDocumentConverter
public ezcDocumentConverter | `ezcDocumentConverter::__construct()` Construct new document
public abstract ezcDocument | `ezcDocumentConverter::convert()` Convert documents between two formats
public array | `ezcDocumentConverter::getErrors()` Return list of errors occured during visiting the document.
public void | `ezcDocumentConverter::triggerError()` Trigger parser error

### Methods

#### __construct

void __construct( [ezcDocumentDocbookToEzXmlConverterOptions $options = null] )

Construct converter

Construct converter from XSLT file, which is used for the actual

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcDocumentDocbookToEzXmlConverterOptions |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentConverter::__construct()` | Construct new document

#### appendFootnote

int appendFootnote( $node )

Append footnote

Append a footnote to the document, which then will be visited at the end of the document processing. Returns a numeric identifier for the footnote.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | DOMElement |

#### appendFootnotes

void appendFootnotes( $root )

Append footnotes

Append the footnotes to the end of the document. The footnotes are embedded directly in the text in docbook, aggregated during the processing of the document, and displayed at the bottom of the HTML document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$root` | DOMElement |

#### createDocument

ezcDocumentDocument createDocument( mixed $content )

Create document from structure

Build a ezcDocumentDocument object from the structure created during the visiting process.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$content` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorConverter::createDocument()` | Create document from structure

#### initializeDocument

mixed initializeDocument( )

Initialize destination document

Initialize the structure which the destination document could be build with. This may be an initial DOMDocument with some default elements, or a string, or something else.

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorConverter::initializeDocument()` | Initialize destination document

#### visitText

mixed visitText( $node , mixed $root )

Visit text node.

Visit a text node in the source document and transform it to the destination result

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | DOMText |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorConverter::visitText()` | Visit text node.

Documentation generated by phpDocumentor 1.4.3